<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.engine.organization.mapper.jclorgmap.JclOrgMapper">

    <insert id="insertMap">
        insert into jcl_org_map
        (id, ftype, fobjid, fecid, uuid, fclass, fclassname, fnumber, fname, fleader, fleaderimg,
         fleadername, fleaderjobid, fleaderjob, fleaderlv, fleaderst, fparentid, fobjparentid,
         fplan, fonjob, fisvitual, fdatebegin, fdateend)
        values (#{id}, #{fType}, #{fObjId}, #{fEcId}, #{uuid}, #{fClass}, #{fClassName}, #{fNumber}, #{fName},
                #{fLeader}, #{fLeaderImg},
                #{fLeaderName}, #{fLeaderJobId}, #{fLeaderJob}, #{fLeaderLv}, #{fLeaderSt}, #{fParentId},
                #{fObjParentId},
                #{fPlan}, #{fOnJob}, #{fIsVitual}, #{fDateBegin}, #{fDateEnd})
    </insert>
</mapper>